Imports System.Collections.Generic

Public Class JobConfig
    Public Property Name As JobType
    Public Property Enabled As Boolean = False
    Public Property StartWithoutDelay As Boolean = False
    Public Property CronSchedule As String = ""

    Public Property ArgsString As String = ""

    <Xml.Serialization.XmlIgnore>
    Public Property Args As New Dictionary(Of String, String)

    Public Enum JobType
        ADSync
        GraphQL
        Test
    End Enum
End Class